> For the complete documentation index, see [llms.txt](https://docs.kyberswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kyberswap.com/~/changes/1kQEhDNzHMDf7SwOE6Yu/kyberswap-solutions/limit-order/developer-guides/fill-a-limit-order.md).

# Fill A Limit Order

Take Limit Orders From The Market

## Limit order execution

1. KyberSwap users can place a Limit Order through the interface at [KyberSwap](https://kyberswap.com/limit/) with no gas fee
2. Anyone can fetch these off-chain signed orders using Limit Order API to perform trade by filling the order on-chain
3. To fill the order, the taker can call the `fillOrder`, `fillOrderTo`, `fillBatchOrderTo` or `fillOrderToWithPermit` function on the Smart Contract.

{% hint style="info" %}
Note

* Trades buyer and seller should approve their tokens to be used by KyberSwap limit order contract
* Please refer to [Limit Order Contract Addresses](/~/changes/1kQEhDNzHMDf7SwOE6Yu/kyberswap-solutions/limit-order/contracts/limit-order-contract-addresses.md) for the latest contract addresses
  {% endhint %}

The encoding API can be used to make it easier. In the case of `fillBatchOrderTo`, KyberSwap's encoding API even returns encodeData so that better orders will be filled first.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kyberswap.com/~/changes/1kQEhDNzHMDf7SwOE6Yu/kyberswap-solutions/limit-order/developer-guides/fill-a-limit-order.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
